## libbeagle 0.3.9

=== debian/changelog ===
libbeagle (0.3.9-6ubuntu10.04.0+0) lucid; urgency=low

  * Update makefiles for new DSO linkage style
  * Switch source format from native to quilt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 01 Apr 2013 19:41:50 +0200

libbeagle (0.3.9-5) precise; urgency=low

  * Precise rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 30 Apr 2012 17:35:00 -0600

libbeagle (0.3.9-2) squeeze; urgency=low

  * New upstream release.
    + No added or removed symbols.
  * debian/control:
    + Bumped Standards-Version to 3.8.0 (no changes needed).
    + Changed Priority of libbeagle-dbg to extra.

 -- Mirco Bauer <meebey@debian.org>  Sat, 07 Mar 2009 11:19:33 +0100

libbeagle (0.3.5-2) unstable; urgency=low

  [ David Paleino ]
  * Added libbeagle-dbg package (Closes: #498526)

  [ Jose Carlos Garcia Sogo ]
  * Only mention libbeagle (without soname) in libbeagle-dbg package 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 19 Oct 2008 09:23:42 +0200

libbeagle (0.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 14 Apr 2008 23:18:13 +0200

libbeagle (0.3.4-1) unstable; urgency=low

  * New upstream release. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 24 Mar 2008 23:45:09 +0100

libbeagle (0.3.0-3) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/python-beagle.install:
    + Make the python module path python version independent to make it
      possible to change the default python version with a rebuild only.

  [ Mirco Bauer ]
  * debian/control:
    + Lowered debhelper build-dependency to >= 5, as we use python-support.
    + Added libglib2.0-dev and libxml2-dev dependencies to libbeagle-dev.
      (Closes: #468756)
    + Renamed Gaim references to Pidgin. (Closes: #463965)
    + Added XS-Python-Version and XB-Python-Version fields.
    + Changed section of python-beagle to python.
  * debian/rules
    debian/libbeagle-dev.docs
    + Ship examples/ in /usr/share/doc/libbeagle-dev/example/.
      (Closes: #460657)
  * debian/pyversions:
    + Removed, seems to be unused.

 -- Mirco Bauer <meebey@debian.org>  Sat, 01 Mar 2008 12:08:12 +0100

libbeagle (0.3.0-2) unstable; urgency=low

  [ Jose Carlos Garcia Sogo ]
  * debian/control:
    + Change Vcs-* fields to point to svn.debian.org

  [ Mirco Bauer ]
  * debian/control:
    + Changed Maintainer to Debian CLI Applications Team and moved
      Jose Carlos Garcia Sogo to Uploaders.
    + Added myself to uploaders.
    + Updated build-dependencies according to configure checks, fixes FTBFS.
      (Closes: #457758)
    + Changed section of libbeagle-dev to libdevel.
  * debian/*.dirs:
    + Dropped, they are unneeded as dh_install creates the directories
      automatically.
  * debian/compat:
    + Updated to 5.

 -- Mirco Bauer <meebey@debian.org>  Sat, 29 Dec 2007 22:13:41 +0100

libbeagle (0.3.0-1) unstable; urgency=low

  * Initial package

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 16 Dec 2007 02:10:33 +0100
