=== debian/control ===
Source: libbeagle
Section: libs
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Mirco Bauer <meebey@debian.org>
Build-Depends: debhelper (>= 5),
 quilt,
 intltool,
 libglib2.0-dev (>= 2.6),
 libxml2-dev (>= 2.6.19),
 autotools-dev,
 python-dev (>= 2.3),
 python-gtk2-dev,
 python-support (>= 0.4),
 gtk-doc-tools,
 python-minimal,
 python-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-cli-apps/packages/libbeagle/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-apps/packages/libbeagle/trunk/
Homepage: http://www.beagle-project.org/
XS-Python-Version: >= 2.3

Package: libbeagle1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for accessing beagle using C
 This library allow programmers accessing Beagle daemon and performing searches
 using C language.
 .
 Beagle is a desktop search util for indexing and searching user's data. 
 At the moment, it can index filesystems, Pidgin logs, Evolution mail 
 and data, RSS and other.

Package: libbeagle-dbg
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libbeagle1 (= ${binary:Version})
Description: library for accessing beagle using C - debugging symbols
 This library allow programmers accessing Beagle daemon and performing searches
 using C language.
 .
 Beagle is a desktop search util for indexing and searching user's data. 
 At the moment, it can index filesystems, Pidgin logs, Evolution mail 
 and data, RSS and other.
 .
 This package contains debugging symbols for libbeagle.

Package: libbeagle-dev
Architecture: any
Section: libdevel
Depends: libbeagle1 (>= ${source:Version}), libxml2-dev, libglib2.0-dev
Description: library for accessing beagle (C bindings)
 This library allow programmers accessing Beagle daemon and performing searches
 using C language. Contains files needed for development.
 .
 Beagle is a desktop search util for indexing and searching user's data.
 At the moment, it can index filesystems, Pidgin logs, Evolution mail
 and data, RSS and other.

Package: python-beagle
Architecture: any
Section: python
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Conflicts: python2.4-beagle (<< 0.2.7-1)
Replaces: python2.4-beagle (<< 0.2.7-1)
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-gtk2
Description: Python bindings for beagle
 Allow accessing Beagle daemon and peforming searches using Python.
 .
 Beagle is a desktop search util for indexing and searching user's data. 
 At the moment, it can index filesystems, Pidgin logs, Evolution mail 
 and data, RSS and other.
