=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/libbeagle/0.3/libbeagle-(.*)\.tar\.gz	debian	uupdate
